# $Revision: 1.7 $, $Date: 2010/07/29 19:30:29 $
#
%define		ppp_version	2.4.5
#
Summary:	NetworkManager VPN integration for PPTP
Summary(pl.UTF-8):	Integracja NetworkManagera z protokołem PPTP
Name:		NetworkManager-pptp
Version:	0.8.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-pptp/0.8/%{name}-%{version}.tar.bz2
# Source0-md5:	3eb00a9c5dc7e50fe76119da914148bc
URL:		http://projects.gnome.org/NetworkManager/
BuildRequires:	GConf2-devel >= 2.0
BuildRequires:	NetworkManager-devel >= 0.8
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libglade2-devel >= 2.0
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	ppp-plugin-devel >= 3:%{ppp_version}
Requires:	NetworkManager >= 0.8
Requires:	ppp = 3:%{ppp_version}
Requires:	pptp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetworkManager VPN integration for PPTP.

%description -l pl.UTF-8
Integracja NetworkManagera z protokołem PPTP.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_version}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.{a,la}
rm -rf $RPM_BUILD_ROOT%{_libdir}/pppd/*.*.*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-pptp-properties.so
%attr(755,root,root) %{_libdir}/nm-pptp-auth-dialog
%attr(755,root,root) %{_libdir}/nm-pptp-service
%attr(755,root,root) %{_libdir}/pppd/%{ppp_version}/nm-pptp-pppd-plugin.so
%{_sysconfdir}/NetworkManager/VPN/nm-pptp-service.name
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-pptp-service.conf
%{_datadir}/gnome-vpn-properties/pptp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: NetworkManager-pptp.spec,v $
Revision 1.7  2010/07/29 19:30:29  megabajt
- updated to 0.8.1

Revision 1.6  2010/06/03 13:19:46  sparky
- replaced BR: gnome-keyring-devel with BR: libgnome-keyring-devel

Revision 1.5  2010/05/29 10:27:08  megabajt
- install pppd plugin to proper directory
- release 2

Revision 1.4  2010/02/20 17:14:33  megabajt
- updated to 0.8

Revision 1.3  2009/11/28 17:16:19  megabajt
- updated to 0.7.2

Revision 1.2  2009/04/14 09:30:22  megabajt
- updated to 0.7.1

Revision 1.1  2008/11/29 21:33:53  megabajt
- new

